package reichert._02_bildbearbeitung;

import processing.core.PApplet;
import processing.core.PImage;

// Sie knnen fr diese Aufgabe BildbearbeitungRotEntfernen als 
// Vorlage verwenden.
public class AufgabeBildbearbeitungRotGruenTauschen extends PApplet {

	private static final long serialVersionUID = 1L;

	PImage original;
	PImage bearbeitet;

	public void setup() {
		original = loadImage("goldengate.jpg");
		original.loadPixels();

		size(original.width * 2, original.height);

		bearbeitet = new PImage(original.width, original.height);
		bearbeitet.loadPixels();

		for (int i = 0; i < original.pixels.length; i++) {
			float rot = red(original.pixels[i]);
			float gruen = green(original.pixels[i]);
			float blau = blue(original.pixels[i]);

			bearbeitet.pixels[i] = color(gruen, rot, blau);
		}
		bearbeitet.updatePixels();
	}

	public void draw() {
		image(original, 0, 0, original.width, original.height);
		image(bearbeitet, original.width, 0, bearbeitet.width, bearbeitet.height);
	}

}
