package reichert._03_eingabe;

import processing.core.PApplet;

// Das Beispiel MausBewegungVerfolgen knnte hilfreich sein fr diese Aufgabe.
public class AufgabeMausVerfolgenMitSpur extends PApplet {

	private static final long serialVersionUID = 1L;

	int num = 60;
	float mx[] = new float[num];
	float my[] = new float[num];

	public void setup() {
		size(200, 200);
		smooth();
		noStroke();
		fill(255, 153);
	}

	public void draw() {
		background(51);

		// Mausposition in Arrays speichern; als Index im Array wird frameCount
		// verwendet, wobei mit % num jeweils der Rest der Ganzzahldivision
		// durch num (Lnge des Arrays) genommen wird, so dass
		// mIndex die Werte 0..num-1, 0..num-1, ... annimmt.
		int mIndex = frameCount % num;
		mx[mIndex] = mouseX;
		my[mIndex] = mouseY;

		for (int i = 0; i < num; i++) {
			int index = (mIndex + 1 + i) % num;
			fill(i * 4);
			ellipse(mx[index], my[index], i / 2, i / 2);
		}
	}

}
